Subject: Linux-Development Digest #166
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Tue, 13 Sep 94 09:13:11 EDT

Linux-Development Digest #166, Volume #2         Tue, 13 Sep 94 09:13:11 EDT

Contents:
  Re: [STATUS] Linus Floppy Driver Development (Matthias Urlichs)
  Re: [STATUS] Linus Floppy Driver Development (Alain Knaff)
  Re: IDEA: Energy saving features for harddisks (Rob Janssen)
  Re: Login USERID length bug? (Rob Janssen)
  Any Linux MOTIF packages out there? (D. Blake Werts)
  Re: IDE Hard Drives w/ over 1024 cylinders (Jeff Kesselman)
  Re: Where is Wine at? (Kai Petzke)
  Re: Got the bastard! [was re:fs corruption] (Matthias Urlichs)
  Re: Alpha Linux (Kai Petzke)
  Re: 320x200 X resolution? (Sebastian W. Bunka)
  Re: cat /proc/interrupts doesn't show printer ints. (Matthias Urlichs)
  Re: queue_glue: no memory for gluing queue in 1.1.50 (Amrik Thethi)
  PPP/IP Forwarding Problem ([email-masked])

----------------------------------------------------------------------------

From: [email-masked] (Matthias Urlichs)
Subject: Re: [STATUS] Linus Floppy Driver Development
Date: 13 Sep 1994 12:27:36 +0200

In comp.os.linux.development, article <[email-masked]>,
  [email-masked] writes:

> 3)    Autosensing has problems
>       My proposal is to divide autosensing into multiple stages:
> 
>       a) Perform a READ ID on the first sector on the disk.  [...]

Good idea.
> 
>       b) [Controversial] check on the contents of this sector to see
>       what sort of file system, if any, it contains.  [...]
> 
Personally, I don't like this. Kernel bloat, and all that.

>       c) [Controversial] check on how many sectors are on the disk.

I'd like to see that. You already have the table of formats, after all.

Generally, I think it's not reasonable to force the user to start some sort
of floppy recognition program after inserting a disk and before tar-xfv'ing
off /dev/fd0, if the format in question is known to the driver anyway.

(I don't expect it to auto-recognize every weird way to format a floppy, of
course.)

> 5)    Minor device naming problems (density letter)
> 
>       The minor device naming conventions are currently inconsistent
>       between the new MAKEFLOPPIES script (which bases the density
>       letter on the drive type) and MAKEDEV (which bases the density
>       letter on the media format).  For example, a 1.44MB disk in an
>       ED drive would be called /dev/fd0E1440 by MAKEFLOPPIES, and
>       /dev/fd0H1440 by MAKEDEV.
> 
Why is the drive type of interest to anybody?
Does the driver have to do anything different depending on which drive you
use (assuming that a given media format can be supported in it)?

If so, it's the responsibility of the driver to figure this out, not of the
user. If the driver can't find out which drive is connected to it, use an
"fdparm" program (or whatever) to tell it.

>       different drive types.  There is no BIOS code for the "Quad
>       Density" drives, so simply relying on the BIOS code for the
>       drive when creating the devices is not sufficient in all cases.
> 
I wouldn't want to rely on the BIOS code for this. The BIOS setup may be
deficient, or you might want to support more than one FDC.

>       Having to know whether you have a HD or ED disk drive is
>       confusing to both users and scripts which want to access a known
>       media format. 

Exactly.

-- 
Q: Why won't sharks attack lawyers?
A: Professional courtesy.
-- 
Matthias Urlichs        \ XLink-POP Nürnberg  | EMail: [email-masked]
Schleiermacherstraße 12  \  Unix+Linux+Mac    | Phone: ...please use email.
90491 Nürnberg (Germany)  \   Consulting+Networking+Programming+etc'ing     42
          PGP: 1B 89 E2 1C 43 EA 80 44  15 D2 29 CF C6 C7 E0 DE 
      Click <A HREF="http://smurf.noris.de/~urlichs/finger">here</A>.

------------------------------

From: knaff@ngulu (Alain Knaff)
Subject: Re: [STATUS] Linus Floppy Driver Development
Date: 13 Sep 1994 11:13:40 GMT
Reply-To: [email-masked]

Matthias Urlichs ([email-masked]) wrote:
: [...]
: > 5)  Minor device naming problems (density letter)
: > 
: >     The minor device naming conventions are currently inconsistent
: >     between the new MAKEFLOPPIES script (which bases the density
: >     letter on the drive type) and MAKEDEV (which bases the density
: >     letter on the media format).  For example, a 1.44MB disk in an
: >     ED drive would be called /dev/fd0E1440 by MAKEFLOPPIES, and
: >     /dev/fd0H1440 by MAKEDEV.
: > 
: Why is the drive type of interest to anybody?
: Does the driver have to do anything different depending on which drive you
: use (assuming that a given media format can be supported in it)?
 Yes indeed, for 5 1/4 drives the drive type IS important. A 360K disk in
a double density, and the same disk in a high density drive need different
parameter sets. That's because the rotation speed of both drives is
different. However, I agree that for 3 1/2 drives, the distinction is
useless, and is only there for uniformity reasons.

: If so, it's the responsibility of the driver to figure this out, not of the
: user. If the driver can't find out which drive is connected to it, use an
: "fdparm" program (or whatever) to tell it.
 The driver doesn't care about the name anyway. However, a smarter
MAKEFLOPPIES program could do this (i.e. create device nodes whose 
names lack the drive type  identification, because the drive type
is implied by the unit number anyways.)

--
 Alain

------------------------------

From: [email-masked] (Rob Janssen)
Subject: Re: IDEA: Energy saving features for harddisks
Reply-To: [email-masked]
Date: Tue, 13 Sep 1994 08:57:48 GMT

In <[email-masked]> [email-masked] (Christer Weinigel) writes:

>  Is there anybody working on energy saving features for Linux?
>More specifically, has anyone tried to use the "power-off" features
>found in most IDE and SCSI disks.
>  For example, the START_STOP command can be used to turn off the
>motor on most SCSI drives (I've tried this on my 20MB Mac drive,
>which is quite old, so I think most drives should support this). And

Before you get all too ethousiastic, please consider that the number
of stop-start actions on a harddrive is often limited in the manucaturer's
spec.
i.e.: there is a separate spec for "lifetime" and "number of spinups".

Maybe this is not a problem with modern drives used in laptops and "green
computers", but it certainly is on my 3-5 year old SCSI drives.

>blubbering_about_ideas(TRUE)
>    I should probably try to implement an IOCTL in the
>  scsi disk or IDE disk code, which sets the "sleep timeout" for a device.
>  Turning off a disk is (almost?) trivial, but when am I supposed to activate
>  the drive again? Should I implement a function "activate_if_stopped(dev)"
>  which would be called from just about every other function in the disk
>  code or should I activate the disk when a command returns a NOT_READY
>  error.
>blubbering_about_ideas(FALSE)

I think you should maintain a "has been stopped" state and check that
whenever a command is to be sent to the drive.

Another warning: you will be surprised by the number of drive accesses
on a seemingly idle Linux system.  Maybe your drive won't stop at all...

Rob
-- 
=========================================================================
| Rob Janssen                | AMPRnet:   [email-masked]           |
| e-mail: [email-masked]     | AX.25 BBS: PE1CHL@PI8UTR.#UTR.NLD.EU     |
=========================================================================

------------------------------

From: [email-masked] (Rob Janssen)
Subject: Re: Login USERID length bug?
Reply-To: [email-masked]
Date: Tue, 13 Sep 1994 08:59:32 GMT

In <[email-masked]> [email-masked] (Brian Watts) writes:

>I think there is a serious problem in connection with 'login'.

>Login doesn't work correctly when the login ID is > 8
>characters AND you telnet or type 'login' at a console
>*after* having logged in.
>It gives a 'login incorrect' response.  This doesn't happen
>when you login directly from the console.

>I've had the same problem with kernels, 1.0.8, 1.1.35, and
>1.1.45.

>I'd be very happy if someone could shed light on this problem
>because it is very embarrasing to tell people that they have
>to restrict their login ID's to 8 characters (it smells of
>MSDOS :=( ).

Sorry to disappoint you, but for practical purposes the length of
the login name is really limited to 8 characters.

Using longer names will give you lots of "interesting effects", e.g.
in the output of "ls -l"...

Rob
-- 
=========================================================================
| Rob Janssen                | AMPRnet:   [email-masked]           |
| e-mail: [email-masked]     | AX.25 BBS: PE1CHL@PI8UTR.#UTR.NLD.EU     |
=========================================================================

------------------------------

From: [email-masked] (D. Blake Werts)
Subject: Any Linux MOTIF packages out there?
Date: 13 Sep 1994 11:28:52 GMT

Just wondering if anyone could direct me to any Linux MOTIF packages out
there....

Many Thanks!
D. Blake Werts    [email-masked]

------------------------------

From: [email-masked] (Jeff Kesselman)
Subject: Re: IDE Hard Drives w/ over 1024 cylinders
Date: Tue, 13 Sep 1994 05:05:53 GMT

In article <[email-masked]> [email-masked] (John E. Gotts) writes:
>Matthew Moss ([email-masked]) wrote:
>: 3) A partition cannot cross over the 1024 cylinder mark. So I couldn't extend
>:    the Swap partition over the boundary. If I wanted to grow it, it would
>:    have to shrink some other partition in the first 1024, or move completely
>:    into the second 1024 and shrink the /usr partition.
>
>Not necessarily.  My swap partition extends across the boundary without any
>ill effects.

Right. The limit is actually that your boot partition cannot be over 1024 
cylinders.  This is actually a BIOS limit, not  aLinux limit which is why 
you can use bigger partitions for other uses-- by then Linux has taken over.

Blame IBM.  

------------------------------

From: [email-masked] (Kai Petzke)
Subject: Re: Where is Wine at?
Date: 13 Sep 94 11:25:22 GMT

[email-masked] (Timothy Kulig) writes:

>I mean this in the Process manner, not the ftp site names.
>Where is it at in terms of movement? Is it really obtainable?

Wine is in alpha stage.  A few Windows programs run.  You can obtain
it from tsx-11, directory /pub/linux/ALPHA/Wine/development.

There is a newsgroup about wine: comp.emulators.ms-windows.wine

In general, please do not ask simple questions on this group,
rather use comp.os.linux.help, or comp.os.linux.misc.

Kai
-- 
Kai Petzke                      | How fast can computers get?
Technical University of Berlin  |
Berlin, Germany                 | Sol 9, of course, on Star Trek.
[email-masked]   |

------------------------------

From: [email-masked] (Matthias Urlichs)
Subject: Re: Got the bastard! [was re:fs corruption]
Date: 12 Sep 1994 22:49:27 +0200

In comp.os.linux.development, article <[email-masked]>,
  [email-masked] writes:
> In article <[email-masked]>,
> [email-masked] (Christopher Cason) wrote:
> > Buslogic BT-545S SCSI controller, I/O 330, IRQ 11, DMA 5
> > WD8013 at 280 or 240, IRQ 15 or 7, either way. RAM at d0000. 
>                                                         ^^^^^
> What is the base address of your SCSI controller BIOS?
> 
In my experience, that's not the problem. I had this fault, too.

Apparently, some el-cheapo WD8013 clones don't like busmasters reading from
memory; they regularly trash the transfer.

I defenestrated the WD8013 clone, put in an SMC card instead (identical
configuration) and the problem went away.

-- 
Defenestrate: The act of throwing something out of the window.
              Do not do this with your Apple computer.
                -- entry in the glossary of an Apple-II manual
                   (I saw it -- don't remember where, though)
-- 
Matthias Urlichs        \ XLink-POP Nürnberg  | EMail: [email-masked]
Schleiermacherstraße 12  \  Unix+Linux+Mac    | Phone: ...please use email.
90491 Nürnberg (Germany)  \   Consulting+Networking+Programming+etc'ing     42
          PGP: 1B 89 E2 1C 43 EA 80 44  15 D2 29 CF C6 C7 E0 DE 
      Click <A HREF="http://smurf.noris.de/~urlichs/finger">here</A>.

------------------------------

From: [email-masked] (Kai Petzke)
Subject: Re: Alpha Linux
Date: 13 Sep 94 11:29:34 GMT

>N J Plant ([email-masked]) wrote:

>> On the 68000 the external address bus is 20 bits and the external data bus
>> is 8. Internally, the registers, buses and ALU are all 32 bit. It can ADD
>> and SUBtract 32 bit numbers or MULtiply 2 16 bit numbers to give a 32 bit
>> result. It has fewer pins than a 68040, but its still a 32 bit chip. The
>> sizeof the integral types should be the same as any other 68K chip.

On 68000, the data bus is 16, and the address bus is 24 (?) bit wide.
On 68008, the data bus is 8, and the address bus is 20 bits.

On both chips, the registers are 32 bit, but the ALU is 16 bit.  So
32 bit ADDition and SUBtractions take twice as long as the 16 bit
operations.  Starting from 68020, these chips are true 32 bit.

Kai
-- 
Kai Petzke                      | How fast can computers get?
Technical University of Berlin  |
Berlin, Germany                 | Sol 9, of course, on Star Trek.
[email-masked]   |

------------------------------

From: [email-masked] (Sebastian W. Bunka)
Crossposted-To: comp.os.linux.misc
Subject: Re: 320x200 X resolution?
Date: 13 Sep 1994 06:43:41 GMT
Reply-To: [email-masked]

Erik Blass ([email-masked]) wrote:
: Hi !

: So, you are all lucky, You can run DOOM, my linuxxdoom exits with a:
:  
:           "Error: W_GetNumForName: STBAR not found!"

: Erik
You're using an OLD wad-file (<1.666); get the one on sunsite and it'll
work ! (had the same problem with my old DOS wad-file...)
Sebastian

email:                   [ [email-masked] ]
voice:                   FAX:
+43-1-71155260           +43-1-7149110
Location: earth, europe, austria, vienna  Inst. of Bacteriology  Vet.Univ.

------------------------------

From: [email-masked] (Matthias Urlichs)
Subject: Re: cat /proc/interrupts doesn't show printer ints.
Date: 13 Sep 1994 13:55:56 +0200

In comp.os.linux.development, article <[email-masked]>,
  [email-masked] (Uwe Bonnes) writes:
>
>   # boot time is critical, so do it later
>   echo "Accumulate proc-status"
>   ((sleep 30;  cd /var/adm;
>       /sbin/stat.acc stat.last stat.all > stat.tmp;
>         mv stat.tmp stat.all ;
>         echo running > stat.last) > /dev/null 2>&1 )&
> 
You don't need a second subshell for this;
        ( ... ) >/dev/null 2>&1 &
works just as well.

-- 
A crisis is when you can't say, "Let's just forget the whole thing."
                        -Ferguson
-- 
Matthias Urlichs        \ XLink-POP Nürnberg  | EMail: [email-masked]
Schleiermacherstraße 12  \  Unix+Linux+Mac    | Phone: ...please use email.
90491 Nürnberg (Germany)  \   Consulting+Networking+Programming+etc'ing     42
          PGP: 1B 89 E2 1C 43 EA 80 44  15 D2 29 CF C6 C7 E0 DE 
      Click <A HREF="http://smurf.noris.de/~urlichs/finger">here</A>.

------------------------------

From: [email-masked] (Amrik Thethi)
Subject: Re: queue_glue: no memory for gluing queue in 1.1.50
Date: Mon, 12 Sep 1994 13:10:48 GMT

In article <[email-masked]> [email-masked] (Andy Burgess) writes:
>In 1.1.4x and in 1.1.50 under heavy load (make -j 3 with the source
>files on an NFS mounted SunOS 4.1.3 disk) I get:
>
>Couldn't get a free page.....
>IP: queue_glue: no memory for gluing queue 0x113D158
>Couldn't get a free page.....
>IP: queue_glue: no memory for gluing queue 0xD0D158
>Couldn't get a free page.....
>NFS server cichlid not responding, still trying
>NFS server cichlid OK
>
>Utilities are Slackware 1.2. 20Mb RAM and 32Mb swap. INN is also running
>but not doing anything via NFS.
>
>Can anyone help?
>
One thing you could try is to mount the NFS directories with an 'rsize'
of 1024 or 4096 ( anything less than a mem page ). This may make life
easier for the IP fragment assembly code, and thereby prevent the 
problem. No guarentees tho'

-- 
Amrik Thethi.                   Tel. +223 421 008 Fax. +223 421 024
Setanta Software Ltd.           Internet: [email-masked]
Cambridge, UK.

------------------------------

From: [email-masked]
Crossposted-To: comp.os.linux.misc,comp.os.linux.admin,alt.uu.comp.os.linux.questions
Subject: PPP/IP Forwarding Problem
Date: Tue, 13 Sep 94 07:23:37 PDT

I'm running Linux 1.1.49 and attempting to configure it as a router between my 
local Ethernet and my Internet provider. I've posted on this before but maybe I 
posted it in the wrong place (in fact, I'm almost sure I did!)

Network Architecture:

        =============================================== (local Ethernet)
                |                       |
        +--------------+        +--------------+
        | 486dx2/66 PC |        | 486dx33 Linux|
        | Win/Chameleon|        | V1.1.49 PPP  |
        | 199.1.142.2  |        | 199.1.142.254|
        +--------------+        +--------------+
                                        |
                                +--------------+
                                | 14.4K modem  |
                                +--------------+
                                        |
                                +--------------+
                                | Term Server  |
                                | 199.1.11.4   |
                                +--------------+

Symptoms:
        After booting Linux, my Windows box can access Linux w/o problems
        Confirmed that CONFIG_IP_FORWARDING is defined in kernel
        After starting PPP
                routing tables are updated, default route = term server
                Linux can access the net w/o problems using the default route
                Internet hosts can access Linux w/o problems
        However, neither local or internet hosts can access a machine on the
                far side of the Linux box being used as a router.
        I can see the incomming packets being counted in /proc/net/dev, but I 
                never see packets being sent out the other interface.

I've tried to reach the linux-activists mailing list without success, and for 
some reason I cannot subscribe to comp.os.linux.help even though my news server 
 is supposed to have the group. So this seems to be my last resort.

Would someone running as near to an identical configuration as this PLEASE 
email me as to how their system is configured. If I can't get this resolved in 
short order, I'm going to have to trash Linux and look for another routing 
solution. (And to think I was so impressed with Linux to begin with.... Well... 
I still am... BUT THIS IS FRUSTRATING!). Additional information on my 
configuration by email only. I'll post the solution if it seems to be of 
general interest.

        Thanx in advance
                John Barrett <[email-masked]>

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.development) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Development Digest
******************************